net.minecraft.inventory

## Class SlotCrafting

- java.lang.Object
- - net.minecraft.inventory.Slot
  - - net.minecraft.inventory.SlotCrafting

-     public class SlotCrafting
      extends Slot

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.inventory.Slot

      `backgroundIcon, inventory, slotNumber, texture, xDisplayPosition, yDisplayPosition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlotCrafting(EntityPlayer par1EntityPlayer, IInventory par2IInventory, IInventory par3IInventory, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemStack` | `decrStackSize(int par1)`
    `boolean` | `isItemValid(ItemStack par1ItemStack)`
    `protected void` | `onCrafting(ItemStack par1ItemStack)`
    `protected void` | `onCrafting(ItemStack par1ItemStack, int par2)`
    `void` | `onPickupFromSlot(EntityPlayer par1EntityPlayer, ItemStack par2ItemStack)`

    - ### Methods inherited from class net.minecraft.inventory.Slot

      `canTakeStack, func_111238_b, getBackgroundIconIndex, getBackgroundIconTexture, getHasStack, getSlotIndex, getSlotStackLimit, getStack, isSlotInInventory, onSlotChange, onSlotChanged, putStack, setBackgroundIcon, setBackgroundIconTexture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlotCrafting

          public SlotCrafting(EntityPlayer par1EntityPlayer,
                      IInventory par2IInventory,
                      IInventory par3IInventory,
                      int par4,
                      int par5,
                      int par6)

  - ### Method Detail

    - #### isItemValid

          public boolean isItemValid(ItemStack par1ItemStack)

      Overrides:
        `isItemValid` in class `Slot`

    - #### decrStackSize

          public ItemStack decrStackSize(int par1)

      Overrides:
        `decrStackSize` in class `Slot`

    - #### onCrafting

          protected void onCrafting(ItemStack par1ItemStack,
                        int par2)

      Overrides:
        `onCrafting` in class `Slot`

    - #### onCrafting

          protected void onCrafting(ItemStack par1ItemStack)

      Overrides:
        `onCrafting` in class `Slot`

    - #### onPickupFromSlot

          public void onPickupFromSlot(EntityPlayer par1EntityPlayer,
                              ItemStack par2ItemStack)

      Overrides:
        `onPickupFromSlot` in class `Slot`